WABT(1)

NAME
spectest-interp - read a Spectest JSON file, and run its tests in the interpreter

SYNOPSIS
spectest-interp [options] file

DESCRIPTION
spectest-interp Reads a Spectest JSON file, and runs its tests in the interpreter.

The options are as follows:

- -help
    Print a help message

- -version
    Print version information

-v, - -verbose
    Use multiple times for more info

- -enable-exceptions
    Enable Experimental exception handling

- -disable-mutable-globals
    Disable Import/export mutable globals

- -disable-saturating-float-to-int
    Disable Saturating float-to-int operators

- -disable-sign-extension
    Disable Sign-extension operators

- -disable-simd
    Disable SIMD support

- -enable-threads
    Enable Threading support

- -enable-function-references
    Enable Typed function references

- -disable-multi-value
    Disable Multi-value

- -enable-tail-call
    Enable Tail-call support

- -disable-bulk-memory
    Disable Bulk-memory operations

- -disable-reference-types
    Disable Reference types (externref)

- -enable-annotations
    Enable Custom annotation syntax

- -enable-code-metadata
    Enable Code metadata

- -enable-gc
    Enable Garbage collection

- -enable-memory64
    Enable 64-bit memory

- -enable-multi-memory
    Enable Multi-memory

- -enable-extended-const
    Enable Extended constant expressions

- -enable-all
    Enable all features

-V, - -value-stack-size=SIZE
    Size in elements of the value stack

-C, - -call-stack-size=SIZE
    Size in elements of the call stack

-t, - -trace
    Trace execution

EXAMPLES
Parse test.json and run the spec tests

    $ spectest-interp test.json

SEE ALSO
wasm-decompile(1), wasm-interp(1), wasm-objdump(1), wasm-opcodecnt(1), wasm-strip(1), wasm-validate(1), wasm2c(1), wasm2wat(1), wast2json(1), wat-desugar(1), wat2wasm(1)

BUGS
If you find a bug, please report it at
https://github.com/WebAssembly/wabt/issues.